Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
OptAncInfo Struct Reference

## Data Fields
int | left_anchor
int | right_anchor

## Detailed Description

Definition at line 4309 of file regcomp.c.

## Field Documentation

int OptAncInfo::left_anchor

Definition at line 4310 of file regcomp.c.

Referenced by add_opt_anc_info(), alt_merge_opt_anc_info(), clear_opt_anc_info(), concat_left_node_opt_info(), concat_opt_anc_info(), is_set_opt_anc_info(), remove_opt_anc_info(), set_optimize_info_from_tree(), and set_sub_anchor().

int OptAncInfo::right_anchor

Definition at line 4311 of file regcomp.c.

Referenced by add_opt_anc_info(), alt_merge_opt_anc_info(), alt_merge_opt_exact_info(), clear_opt_anc_info(), concat_opt_anc_info(), concat_opt_exact_info(), is_set_opt_anc_info(), remove_opt_anc_info(), set_optimize_info_from_tree(), and set_sub_anchor().

The documentation for this struct was generated from the following file:

- regcomp.c